rubygem-coderay-1.0.9-1.of.el6.noarch.rpm


Advertisement

Description

rubygem-coderay - Fast syntax highlighting for selected languages

Property Value
Distribution CentOS 6
Repository Open Fusion x86_64
Package filename rubygem-coderay-1.0.9-1.of.el6.noarch.rpm
Package name rubygem-coderay
Package version 1.0.9
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage http://coderay.rubychan.de
License GPLv2+ or Ruby
Maintainer -
Download size 245.66 KB
Installed size 907.56 KB
Fast and easy syntax highlighting for selected languages, written in Ruby.
Comes with RedCloth integration and LOC counter.

Alternatives

Package Version Architecture Repository
rubygem-coderay-1.0.9-2.el6.R.noarch.rpm 1.0.9 noarch Russian Fedora Free Updates Testing
rubygem-coderay-1.0.9-2.el6.R.noarch.rpm 1.0.9 noarch Russian Fedora Free Updates Testing
rubygem-coderay-1.0.9-1.of.el6.noarch.rpm 1.0.9 noarch Open Fusion
rubygem-coderay - - -

Requires

Name Value
/usr/bin/env -
/usr/bin/ruby -
ruby >= 1.8.6
ruby(abi) = 1.8
rubygems >= 0

Provides

Name Value
rubygem(coderay) = 1.0.9
rubygem-coderay = 1.0.9-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package rubygem-coderay-1.0.9-1.of.el6.noarch.rpm
Source Package rubygem-coderay-1.0.9-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-x86_64/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install rubygem-coderay rpm package:
    # yum install rubygem-coderay

Files

Path
/usr/bin/coderay
/usr/lib/ruby/gems/1.8/bin/coderay
/usr/lib/ruby/gems/1.8/cache/coderay-1.0.9.gem
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/README_INDEX.rdoc
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/Rakefile
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/.yardoc/checksums
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/.yardoc/proxy_types
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/.yardoc/objects/root.dat
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/bin/coderay
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/duo.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoder.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/for_redcloth.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanner.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/style.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/token_kinds.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/tokens.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/tokens_proxy.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/version.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/_map.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/comment_filter.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/count.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/debug.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/div.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/filter.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/html.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/json.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/lines_of_code.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/null.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/page.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/span.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/statistic.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/terminal.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/text.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/token_kind_filter.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/xml.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/yaml.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/html/css.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/html/numbering.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/encoders/html/output.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/helpers/file_type.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/helpers/gzip.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/helpers/plugin.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/helpers/word_list.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/_map.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/c.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/clojure.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/cpp.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/css.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/debug.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/delphi.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/diff.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/erb.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/groovy.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/haml.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/html.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/java.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/java_script.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/json.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/php.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/python.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/raydebug.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/ruby.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/sql.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/text.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/xml.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/yaml.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/java/builtin_types.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/ruby/patterns.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/scanners/ruby/string_state.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/styles/_map.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/lib/coderay/styles/alpha.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/test/
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/test/functional/basic.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/test/functional/examples.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/test/functional/for_redcloth.rb
/usr/lib/ruby/gems/1.8/gems/coderay-1.0.9/test/functional/suite.rb
/usr/lib/ruby/gems/1.8/specifications/coderay-1.0.9.gemspec

Changelog

2013-05-15 - Gavin Carr <gavin@openfusion.com.au> - 1.0.9-1
- Initial package

See Also

Package Description
rubygem-coffee-rails-3.1.0-1.of.el6.noarch.rpm Coffee Script adapter for the Rails asset pipeline
rubygem-coffee-script-2.2.0-1.of.el6.noarch.rpm Ruby CoffeeScript Compiler
rubygem-coffee-script-source-1.1.2-1.of.el6.noarch.rpm The CoffeeScript Compiler
rubygem-colored-1.2-1.of.el6.noarch.rpm Add some color to your life
rubygem-columnize-0.3.4-1.of.el6.noarch.rpm Read file with caching
rubygem-configliere-0.4.8-1.of.el6.noarch.rpm Wise, discreet configuration management
rubygem-configuration-1.2.0-1.of.el6.noarch.rpm configuration
rubygem-connection_pool-0.9.1-1.of.el6.noarch.rpm Generic connection pool for Ruby
rubygem-contest-0.1.2-1.of.el6.noarch.rpm Write more readable tests in Test::Unit with this tiny script
rubygem-crack-0.1.8-1.of.el6.noarch.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
rubygem-crack-0.3.1-1.of.el6.noarch.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
rubygem-creole-0.4.2-1.of.el6.noarch.rpm Lightweight markup language
rubygem-cri-2.3.0-1.of.el6.noarch.rpm a library for building easy-to-use commandline tools
rubygem-daemons-1.1.0-1.of.el6.noarch.rpm A toolkit to create and control daemons in different ways
rubygem-daemons-1.1.4-1.of.el6.noarch.rpm A toolkit to create and control daemons in different ways
Advertisement
Advertisement